commit: 73acfa28d871f45751c1c1f3a9ed9ff22358f6af
Author: Hanno Böck <hanno <AT> gentoo <DOT> org>
AuthorDate: Wed May 13 16:23:08 2020 +0000
Commit: Hanno Böck <hanno <AT> gentoo <DOT> org>
CommitDate: Wed May 13 16:23:08 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73acfa28
app-text/pastebinit: Version bump + EAPI 7
Signed-off-by: Hanno Böck <hanno <AT> gentoo.org>
Package-Manager: Portage-2.3.99, Repoman-2.3.22
app-text/pastebinit/Manifest | 1 +
app-text/pastebinit/pastebinit-1.5.1.ebuild | 60 +++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/app-text/pastebinit/Manifest b/app-text/pastebinit/Manifest
index fc3dcc2ccb4..5fa2a0313f1 100644
--- a/app-text/pastebinit/Manifest
+++ b/app-text/pastebinit/Manifest
@@ -1 +1,2 @@
DIST pastebinit-1.5.tar.bz2 42941 BLAKE2B
678df7f2e77cc832fc9e152fb451538284033d181d9165b1a1194b254ad08ca1ac3e4612dddf7db6c62c1c3c59265ad94a78cc6df9457565264864ab06bff00b
SHA512
cc4b7c46ab7932be3a1064ce7a1d91da3ebf4b132ad44b0090c8d431bfc68e945357344e59ac1239e37b3178de124930c5c8dc552b42f16c39c0452ac9ab8099
+DIST pastebinit_1.5.1.orig.tar.gz 51448 BLAKE2B
a5cfa13c770e234d6e08d4f0b662c09398a5f20ac4e3f7c10ab086261923851239a3e6c1bda78ba6ba810f95cd90e6517b74aa41c5b5e3d50bca5b8c100aa594
SHA512
02b7faa54862d240eac3a8edaae2edb895cbb476cbf89dc71514a5a0a42aa2b0d26f07e5485627d1deb61f62e37018459e4d072bd4aacc886f259fced35e352c
diff --git a/app-text/pastebinit/pastebinit-1.5.1.ebuild
b/app-text/pastebinit/pastebinit-1.5.1.ebuild
new file mode 100644
index 00000000000..85be8774801
--- /dev/null
+++ b/app-text/pastebinit/pastebinit-1.5.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="xml"
+
+inherit python-single-r1
+
+DESCRIPTION="A software that lets you send anything you want directly to a
pastebin"
+HOMEPAGE="https://launchpad.net/pastebinit"
+MY_P="${PN}_${PV}"
+SRC_URI="mirror://ubuntu/pool/main/p/${PN}/${MY_P}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="crypt"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/configobj[${PYTHON_MULTI_USEDEP}]
+ ')
+ crypt? ( app-crypt/gnupg )"
+DEPEND="app-text/docbook-xsl-stylesheets"
+
+src_prepare() {
+ local mo=""
+
+ for lang in ${LINGUAS}; do
+ if [ -f po/${lang}.po ]; then
+ mo="${mo} ${lang}.mo"
+ fi
+ done
+
+ sed -i -e "/^build-mo/s/:.*/:${mo}/" po/Makefile || die
+ eapply_user
+}
+
+src_compile() {
+ emake -C po
+ xsltproc --nonet \
+
"${EROOT}"/usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl \
+ pastebinit.xml || die
+}
+
+src_install() {
+ dobin pastebinit utils/pbput
+ python_fix_shebang "${ED}/usr/bin/${PN}"
+ dosym pbput /usr/bin/pbget
+ use crypt && dosym pbput /usr/bin/pbputs
+ dodoc README
+ doman pastebinit.1 utils/*.1
+ insinto /usr/share/locale
+ [[ -d po/mo ]] && doins -r po/mo/*
+ insinto /usr/share
+ doins -r pastebin.d
+}